
Redmine - Feature #2458

add “closed” html class to closed entries in issue list

2009-01-07 15:14 - Gerrit Kaiser

Status: Closed Start date: 2009-01-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.8.1   

Resolution: Fixed   

Description

At the moment all entries get added a class value of the IssueStatus-id (i.e. status-4). It would be great if those statuses that are

marked as “closing” would also add the class “closed” to the HTML so it could be styled accordingly, e.g. with a strike-out.

This is similar to #2337

Related issues:

Related to Redmine - Feature #2337: Highlight overdue Tickets Closed 2008-12-14

Associated revisions

Revision 2250 - 2009-01-07 21:30 - Jean-Philippe Lang

Adds 'closed' css class to closed issues in the issue list (#2458).

History

#1 - 2009-01-07 21:31 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.8.1

- Resolution set to Fixed

Done in r2250. You can now do things like this:

tr.issue.closed td.subject { text-decoration: line-through; }

#2 - 2009-01-10 11:49 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Fix merged in 0.8-stable.
